Subject: Re: bug#35270: 27.0.50; gnus nnimap weird interaction between select methods

From: Eric Abrahamsen <[email-masked]>
Date: Mon, 22 Apr 2019 09:38:23 -0700

Deus Max <[email-masked]> writes:

> On Sun, Apr 14 2019, Basil L. Contovounesios wrote:
>
>> Deus Max <[email-masked]> writes:
>>
>>> Following the recent strange behaviors with gnus group buffers and other
>>> gnus related stuff, I decided to have a clean start for my gnus:
>>>
>>> 1. removed the gnus start-up files:
>>>    mv .newsrc dot-newsrc
>>>    mv .newsrc.eld dot-newsrc.eld
>>>    mv .gnus.el dot-gnus.el   -- (empty anyway)
>>>    rm .*~
>>
>> Can you reproduce this starting from 'emacs -Q' in a clean HOME
>> directory, i.e. with
>>
>>   HOME=$(mktemp -d) emacs -Q
>>
>> or similar?  I ask because it is possible for something in your
>> configuration and/or home directory to be interfering, see e.g.
>> https://debbugs.gnu.org/35208#11
>>
>> Thanks,
>
> Yes and I did.
> Repeating with a clean HOME directory gives the same results wrt
>           the gnus behavior described above.

I'm trying to imagine what could be causing this behavior, and so far
haven't come up with any likely theories! You mentioned removing your
start-up files before starting this experiment, but you must have some
config in place to define the two imap servers: can you show me the
absolute minimum config sufficient to display this weirdness? (And would
you mind updating to the most recent master before you do? It's possible
some recent updates might have addressed this.)

Thanks,
Eric